Get webhook

Get a single webhook by ID.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "string"
The ID of the webhook

Response

Webhook response
_idstring
The ID of this webhook
urlstring
The URL to which LaunchDarkly sends an HTTP POST payload for this webhook
onboolean
Whether or not this webhook is enabled
tagslist of strings
List of tags for this webhook
namestringOptional

A human-readable name for this webhook

secretstringOptional
The secret for this webhook
statementslist of objectsOptional
Represents a Custom role policy, defining a resource kinds filter the webhook responds to.
_accessobjectOptional
Details on the allowed and denied actions for this webhook

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error